#!/bin/bash

sleepTime=${1:-5s}

echo "Docker Registry Login."
docker login -u=skb -p=Ctsb@2018 https://repo.cybersolution.com.my:9005/v2/

echo "Run Infrastructure."
docker-compose -f docker-compose-infra.yml -p skbframework up -d

echo "Sleeping for "$sleepTime
sleep $sleepTime
echo "Done."

echo "Run Framework."
docker-compose -f docker-compose-frame.yml -p skbframework up -d

echo "Sleeping for "$sleepTime
sleep $sleepTime
echo "Done."

echo "Run Services."
docker-compose -f docker-compose.yml -p skbframework up -d